libfreehand::FHParser Class Reference documentation

libfreehand::FHParser Class Reference

`#include <FHParser.h>`

## Public Member Functions
| FHParser ()
virtual | ~FHParser ()
bool | parse (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)

## Private Member Functions
| FHParser (const FHParser &)
FHParser & | operator= (const FHParser &)
void | parseDictionary (librevenge::RVNGInputStream *input)
void | parseRecordList (librevenge::RVNGInputStream *input)
void | parseRecord (librevenge::RVNGInputStream *input, FHCollector *collector, int recordId)
void | parseRecords (librevenge::RVNGInputStream *input, FHCollector *collector)
void | parseDocument (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAGDFont (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAGDSelection (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readArrowPath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAttributeHolder (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBasicFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBasicLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBendFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBlendObject (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBlock (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrush (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrushStroke (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrushTip (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCalligraphicStroke (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCharacterFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readClipGroup (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCollector (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCompositePath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readConeFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readConnectorLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readContentFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readContourFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCustomProc (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDataList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readData (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDateTime (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDisplayText (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDuetFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElemList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElemPropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readEnvelope (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readEPSImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readExpandFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readExtrusion (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFHDocHeader (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFHTail (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFigure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFileDescriptor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFilterAttributeHolder (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWBevelFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWBlurFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWFeatherFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWGlowFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWShadowFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWSharpenFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGradientMaskFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGraphicStyle (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGroup (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGuides (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readHalftone (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImageFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImageImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLayer (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLensFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLinearFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLinePat (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLineTable (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageDocMan (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageLayerElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageLayerInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageSymbolClass (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageSymbolInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMName (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMpObject (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMQuickDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMultiBlend (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMultiColorList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewBlend (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewContourFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewRadialFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readOpacityFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readOval (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPantoneColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readParagraph (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPathText (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPathTextLineInfo (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPatternFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPatternLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPerspectiveEnvelope (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPerspectiveGrid (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPolygonFigure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readProcedure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readProcessColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPSFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPSLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRadialFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRadialFillX (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRaggedFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRectangle (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSketchFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSpotColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSpotColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readStylePropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSwfImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolClass (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolLibrary (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTabTable (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTaperedFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTaperedFillX (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTEffect (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextBlok (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextEffs (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextObject (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTileFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTintColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTintColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTransformFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readUString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readVDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readVMpObj (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readXform (librevenge::RVNGInputStream *input, FHCollector *collector)
unsigned | _readRecordId (librevenge::RVNGInputStream *input)
unsigned | _xformCalc (unsigned char var1, unsigned char var2)
double | _readCoordinate (librevenge::RVNGInputStream *input)
FHRGBColor | _readRGBColor (librevenge::RVNGInputStream *input)
FHRGBColor | _readCMYKColor (librevenge::RVNGInputStream *input)
void | _readPropLstElements (librevenge::RVNGInputStream *input, std::map< unsigned, unsigned > &properties, unsigned size)
void | _readBlockInformation (librevenge::RVNGInputStream *input, unsigned i, unsigned &layerListId)
void | _readFH3CharProperties (librevenge::RVNGInputStream *input, FH3CharProperties &charProps)
void | _readFH3ParaProperties (librevenge::RVNGInputStream *input, FH3ParaProperties &paraProps)

## Private Attributes
librevenge::RVNGInputStream * | m_input
FHCollector * | m_collector
int | m_version
std::map< unsigned short, int > | m_dictionary
std::vector< unsigned short > | m_records
std::vector< unsignedshort >::size_type | m_currentRecord
FHPageInfo | m_pageInfo
cmsHTRANSFORM | m_colorTransform

## Constructor & Destructor Documentation

## ◆ FHParser() [1/2]

libfreehand::FHParser::FHParser | ( |  | ) |
| explicit

Referenced by FHParser(), and operator=().

## ◆ ~FHParser()

libfreehand::FHParser::~FHParser | ( |  | ) |
| virtual

## ◆ FHParser() [2/2]

libfreehand::FHParser::FHParser | ( | const FHParser & |  | ) |
| private

## Member Function Documentation

## ◆ _readBlockInformation()

void libfreehand::FHParser::_readBlockInformation | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | i,
|  | unsigned & | layerListId )
| private

Referenced by readBlock().

## ◆ _readCMYKColor()

libfreehand::FHRGBColor libfreehand::FHParser::_readCMYKColor | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by readProcessColor().

## ◆ _readCoordinate()

double libfreehand::FHParser::_readCoordinate | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by _readFH3CharProperties(), readAGDFont(), readArrowPath(), readBasicLine(), readConeFill(), readContourFill(), readCustomProc(), readDisplayText(), readFHTail(), readFWGlowFilter(), readFWShadowFilter(), readImageImport(), readLensFill(), readLinearFill(), readLinePat(), readMultiColorList(), readNewContourFill(), readNewRadialFill(), readOval(), readPath(), readPatternLine(), readPolygonFigure(), readPSLine(), readRadialFill(), readRadialFillX(), readRectangle(), readSwfImport(), readSymbolInstance(), readTabTable(), readTaperedFill(), readTaperedFillX(), readTextObject(), readTileFill(), readVMpObj(), and readXform().

## ◆ _readFH3CharProperties()

void libfreehand::FHParser::_readFH3CharProperties | ( | librevenge::RVNGInputStream * | input,
|  | FH3CharProperties & | charProps )
| private

Referenced by readDisplayText().

## ◆ _readFH3ParaProperties()

void libfreehand::FHParser::_readFH3ParaProperties | ( | librevenge::RVNGInputStream * | input,
|  | FH3ParaProperties & | paraProps )
| private

Referenced by readDisplayText().

## ◆ _readPropLstElements()

void libfreehand::FHParser::_readPropLstElements | ( | librevenge::RVNGInputStream * | input,
|  | std::map< unsigned, unsigned > & | properties,
|  | unsigned | size )
| private

Referenced by readElemPropLst(), readGraphicStyle(), readPropLst(), and readStylePropLst().

## ◆ _readRecordId()

unsigned libfreehand::FHParser::_readRecordId | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by _readBlockInformation(), _readFH3CharProperties(), _readPropLstElements(), readAGDFont(), readAttributeHolder(), readBasicFill(), readBasicLine(), readBlendObject(), readBlock(), readBrush(), readBrushStroke(), readBrushTip(), readCalligraphicStroke(), readClipGroup(), readColor6(), readCompositePath(), readConeFill(), readContourFill(), readCustomProc(), readDataList(), readDisplayText(), readElemPropLst(), readEnvelope(), readExtrusion(), readFHTail(), readFileDescriptor(), readFilterAttributeHolder(), readFWBevelFilter(), readFWGlowFilter(), readFWShadowFilter(), readGradientMaskFilter(), readGraphicStyle(), readGroup(), readGuides(), readHalftone(), readImageImport(), readLayer(), readLensFill(), readLinearFill(), readLineTable(), readList(), readMDict(), readMultiBlend(), readMultiColorList(), readNewBlend(), readNewContourFill(), readNewRadialFill(), readOpacityFilter(), readOval(), readPantoneColor(), readParagraph(), readPath(), readPathText(), readPatternFill(), readPatternLine(), readPolygonFigure(), readProcessColor(), readPSFill(), readPSLine(), readRadialFill(), readRadialFillX(), readRectangle(), readSpotColor(), readSpotColor6(), readStylePropLst(), readSwfImport(), readSymbolClass(), readSymbolInstance(), readSymbolLibrary(), readTaperedFill(), readTaperedFillX(), readTEffect(), readTextEffs(), readTextObject(), readTileFill(), readTintColor(), readTintColor6(), readTString(), readVDict(), and readVMpObj().

## ◆ _readRGBColor()

libfreehand::FHRGBColor libfreehand::FHParser::_readRGBColor | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by readColor6(), readPantoneColor(), readProcessColor(), readSpotColor(), readSpotColor6(), readTintColor(), and readTintColor6().

## ◆ _xformCalc()

unsigned libfreehand::FHParser::_xformCalc | ( | unsigned char | var1,
|  | unsigned char | var2 )
| private

Referenced by readExtrusion(), readMasterPageLayerInstance(), readMasterPageSymbolInstance(), and readXform().

## ◆ operator=()

FHParser & libfreehand::FHParser::operator= | ( | const FHParser & |  | ) |
| private

## ◆ parse()

bool libfreehand::FHParser::parse | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )

## ◆ parseDictionary()

void libfreehand::FHParser::parseDictionary | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

## ◆ parseDocument()

void libfreehand::FHParser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parse().

## ◆ parseRecord()

void libfreehand::FHParser::parseRecord | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector,
|  | int | recordId )
| private

Referenced by parseRecords().

## ◆ parseRecordList()

void libfreehand::FHParser::parseRecordList | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

## ◆ parseRecords()

void libfreehand::FHParser::parseRecords | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseDocument().

## ◆ readAGDFont()

void libfreehand::FHParser::readAGDFont | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readAGDSelection()

void libfreehand::FHParser::readAGDSelection | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readArrowPath()

void libfreehand::FHParser::readArrowPath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readAttributeHolder()

void libfreehand::FHParser::readAttributeHolder | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBasicFill()

void libfreehand::FHParser::readBasicFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBasicLine()

void libfreehand::FHParser::readBasicLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBendFilter()

void libfreehand::FHParser::readBendFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBlendObject()

void libfreehand::FHParser::readBlendObject | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBlock()

void libfreehand::FHParser::readBlock | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBrush()

void libfreehand::FHParser::readBrush | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBrushStroke()

void libfreehand::FHParser::readBrushStroke | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readBrushTip()

void libfreehand::FHParser::readBrushTip | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readCalligraphicStroke()

void libfreehand::FHParser::readCalligraphicStroke | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readCharacterFill()

void libfreehand::FHParser::readCharacterFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readClipGroup()

void libfreehand::FHParser::readClipGroup | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readCollector()

void libfreehand::FHParser::readCollector | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readColor6()

void libfreehand::FHParser::readColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readCompositePath()

void libfreehand::FHParser::readCompositePath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readConeFill()

void libfreehand::FHParser::readConeFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readConnectorLine()

void libfreehand::FHParser::readConnectorLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readContentFill()

void libfreehand::FHParser::readContentFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readContourFill()

void libfreehand::FHParser::readContourFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readCustomProc()

void libfreehand::FHParser::readCustomProc | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readData()

void libfreehand::FHParser::readData | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readDataList()

void libfreehand::FHParser::readDataList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readDateTime()

void libfreehand::FHParser::readDateTime | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readDisplayText()

void libfreehand::FHParser::readDisplayText | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readDuetFilter()

void libfreehand::FHParser::readDuetFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readElement()

void libfreehand::FHParser::readElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readElemList()

void libfreehand::FHParser::readElemList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readElemPropLst()

void libfreehand::FHParser::readElemPropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readEnvelope()

void libfreehand::FHParser::readEnvelope | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readEPSImport()

void libfreehand::FHParser::readEPSImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readExpandFilter()

void libfreehand::FHParser::readExpandFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readExtrusion()

void libfreehand::FHParser::readExtrusion | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFHDocHeader()

void libfreehand::FHParser::readFHDocHeader | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFHTail()

void libfreehand::FHParser::readFHTail | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecords().

## ◆ readFigure()

void libfreehand::FHParser::readFigure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFileDescriptor()

void libfreehand::FHParser::readFileDescriptor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFilterAttributeHolder()

void libfreehand::FHParser::readFilterAttributeHolder | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWBevelFilter()

void libfreehand::FHParser::readFWBevelFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWBlurFilter()

void libfreehand::FHParser::readFWBlurFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWFeatherFilter()

void libfreehand::FHParser::readFWFeatherFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWGlowFilter()

void libfreehand::FHParser::readFWGlowFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWShadowFilter()

void libfreehand::FHParser::readFWShadowFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readFWSharpenFilter()

void libfreehand::FHParser::readFWSharpenFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readGradientMaskFilter()

void libfreehand::FHParser::readGradientMaskFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readGraphicStyle()

void libfreehand::FHParser::readGraphicStyle | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readGroup()

void libfreehand::FHParser::readGroup | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readGuides()

void libfreehand::FHParser::readGuides | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readHalftone()

void libfreehand::FHParser::readHalftone | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readImageFill()

void libfreehand::FHParser::readImageFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readImageImport()

void libfreehand::FHParser::readImageImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readImport()

void libfreehand::FHParser::readImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readLayer()

void libfreehand::FHParser::readLayer | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readLensFill()

void libfreehand::FHParser::readLensFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readLinearFill()

void libfreehand::FHParser::readLinearFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readLinePat()

void libfreehand::FHParser::readLinePat | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readLineTable()

void libfreehand::FHParser::readLineTable | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readList()

void libfreehand::FHParser::readList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageDocMan()

void libfreehand::FHParser::readMasterPageDocMan | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageElement()

void libfreehand::FHParser::readMasterPageElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageLayerElement()

void libfreehand::FHParser::readMasterPageLayerElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageLayerInstance()

void libfreehand::FHParser::readMasterPageLayerInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageSymbolClass()

void libfreehand::FHParser::readMasterPageSymbolClass | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMasterPageSymbolInstance()

void libfreehand::FHParser::readMasterPageSymbolInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMDict()

void libfreehand::FHParser::readMDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMName()

void libfreehand::FHParser::readMName | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMpObject()

void libfreehand::FHParser::readMpObject | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMQuickDict()

void libfreehand::FHParser::readMQuickDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMString()

void libfreehand::FHParser::readMString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMultiBlend()

void libfreehand::FHParser::readMultiBlend | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readMultiColorList()

void libfreehand::FHParser::readMultiColorList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readNewBlend()

void libfreehand::FHParser::readNewBlend | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readNewContourFill()

void libfreehand::FHParser::readNewContourFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readNewRadialFill()

void libfreehand::FHParser::readNewRadialFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readOpacityFilter()

void libfreehand::FHParser::readOpacityFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readOval()

void libfreehand::FHParser::readOval | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPantoneColor()

void libfreehand::FHParser::readPantoneColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readParagraph()

void libfreehand::FHParser::readParagraph | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPath()

void libfreehand::FHParser::readPath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPathText()

void libfreehand::FHParser::readPathText | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPathTextLineInfo()

void libfreehand::FHParser::readPathTextLineInfo | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPatternFill()

void libfreehand::FHParser::readPatternFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPatternLine()

void libfreehand::FHParser::readPatternLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPerspectiveEnvelope()

void libfreehand::FHParser::readPerspectiveEnvelope | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPerspectiveGrid()

void libfreehand::FHParser::readPerspectiveGrid | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPolygonFigure()

void libfreehand::FHParser::readPolygonFigure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readProcedure()

void libfreehand::FHParser::readProcedure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readProcessColor()

void libfreehand::FHParser::readProcessColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPropLst()

void libfreehand::FHParser::readPropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPSFill()

void libfreehand::FHParser::readPSFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readPSLine()

void libfreehand::FHParser::readPSLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readRadialFill()

void libfreehand::FHParser::readRadialFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readRadialFillX()

void libfreehand::FHParser::readRadialFillX | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readRaggedFilter()

void libfreehand::FHParser::readRaggedFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readRectangle()

void libfreehand::FHParser::readRectangle | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSketchFilter()

void libfreehand::FHParser::readSketchFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSpotColor()

void libfreehand::FHParser::readSpotColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSpotColor6()

void libfreehand::FHParser::readSpotColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readStylePropLst()

void libfreehand::FHParser::readStylePropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSwfImport()

void libfreehand::FHParser::readSwfImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSymbolClass()

void libfreehand::FHParser::readSymbolClass | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSymbolInstance()

void libfreehand::FHParser::readSymbolInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readSymbolLibrary()

void libfreehand::FHParser::readSymbolLibrary | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTabTable()

void libfreehand::FHParser::readTabTable | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTaperedFill()

void libfreehand::FHParser::readTaperedFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTaperedFillX()

void libfreehand::FHParser::readTaperedFillX | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTEffect()

void libfreehand::FHParser::readTEffect | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTextBlok()

void libfreehand::FHParser::readTextBlok | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTextEffs()

void libfreehand::FHParser::readTextEffs | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTextObject()

void libfreehand::FHParser::readTextObject | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTileFill()

void libfreehand::FHParser::readTileFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTintColor()

void libfreehand::FHParser::readTintColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTintColor6()

void libfreehand::FHParser::readTintColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTransformFilter()

void libfreehand::FHParser::readTransformFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readTString()

void libfreehand::FHParser::readTString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readUString()

void libfreehand::FHParser::readUString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readVDict()

void libfreehand::FHParser::readVDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readVMpObj()

void libfreehand::FHParser::readVMpObj | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## ◆ readXform()

void libfreehand::FHParser::readXform | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector )
| private

Referenced by parseRecord().

## Member Data Documentation

## ◆ m_collector

FHCollector* libfreehand::FHParser::m_collector
| private

Referenced by FHParser().

## ◆ m_colorTransform

cmsHTRANSFORM libfreehand::FHParser::m_colorTransform
| private

Referenced by _readCMYKColor(), FHParser(), and ~FHParser().

## ◆ m_currentRecord

std::vector<unsignedshort>::size_type libfreehand::FHParser::m_currentRecord
| private

Referenced by FHParser(), parseRecord(), parseRecords(), readAGDFont(), readArrowPath(), readAttributeHolder(), readBasicFill(), readBasicLine(), readBlock(), readClipGroup(), readColor6(), readCompositePath(), readConeFill(), readContourFill(), readCustomProc(), readData(), readDataList(), readDisplayText(), readElemPropLst(), readFHTail(), readFilterAttributeHolder(), readFWGlowFilter(), readFWShadowFilter(), readGraphicStyle(), readGroup(), readImageImport(), readLayer(), readLensFill(), readLinearFill(), readLinePat(), readList(), readMName(), readMString(), readMultiColorList(), readNewBlend(), readNewContourFill(), readNewRadialFill(), readOpacityFilter(), readOval(), readPantoneColor(), readParagraph(), readPath(), readPathText(), readPatternFill(), readPatternLine(), readPolygonFigure(), readProcessColor(), readPropLst(), readPSFill(), readPSLine(), readRadialFill(), readRadialFillX(), readRectangle(), readSpotColor(), readSpotColor6(), readStylePropLst(), readSwfImport(), readSymbolClass(), readSymbolInstance(), readTabTable(), readTaperedFill(), readTaperedFillX(), readTEffect(), readTextBlok(), readTextEffs(), readTextObject(), readTileFill(), readTintColor(), readTintColor6(), readTString(), readUString(), readVMpObj(), and readXform().

## ◆ m_dictionary

std::map<unsigned short, int> libfreehand::FHParser::m_dictionary
| private

Referenced by FHParser(), parseDictionary(), and parseRecords().

## ◆ m_input

librevenge::RVNGInputStream* libfreehand::FHParser::m_input
| private

Referenced by FHParser().

## ◆ m_pageInfo

FHPageInfo libfreehand::FHParser::m_pageInfo
| private

Referenced by FHParser(), parseDocument(), and readVMpObj().

## ◆ m_records

std::vector<unsigned short> libfreehand::FHParser::m_records
| private

Referenced by FHParser(), parseRecordList(), and parseRecords().

## ◆ m_version

int libfreehand::FHParser::m_version
| private

Referenced by FHParser(), parse(), parseDictionary(), readArrowPath(), readBlock(), readBrushTip(), readClipGroup(), readColor6(), readCompositePath(), readContourFill(), readElemPropLst(), readGroup(), readGuides(), readImageImport(), readLayer(), readLinePat(), readLineTable(), readList(), readOval(), readPath(), readPropLst(), readRadialFill(), readRectangle(), readSpotColor6(), readStylePropLst(), readTintColor6(), readTString(), and readXform().

The documentation for this class was generated from the following files:

- FHParser.h
- FHParser.cpp